module.exports = {
    meta: {
        lang_name: 'Français',      // Native name of language (endonymn)
        lang_name_en: 'French',     // Name of language, in English
        isRtl: false,               // Whether language is read Right-to-left
    },
    
    // The actual translation data

    'Loading, please wait': 'Téléchargement en cours, patientez',

    // Search Forms
    'Select Bible version(s)': 'Sélectionnez la version de la Bible',
    'Search': 'Recherchez',
    'Search the Bible': 'Recherchez dans la Bible',
    'Go': 'Allez',
    'Bible Search': 'Recherche dans la Bible',
    'Bible': 'Bible',
    'Whole Words Only': 'Mots Entiers Seulement',
    'Whole words only': 'Mots entiers seulement',
    'Whole words': 'Mots entiers',
    'Exact Case': 'Sensible à la casse',
    'Parallel Bible #': 'Bible en parallèle',
    'Select a Bible': 'Choisir une Bible',
    'Add Bible': 'Ajoutez une Bible',
    'Random Chapter': 'Chapitre Aléatoire',
    'Random Verse': 'Verset Aléatoire',
    'Passages': 'Passages',
    'Passage': 'Passage',
    'The book of': 'Le livre de',
    'Look for': 'Cherchez pour',
    'Look up': 'Cherchez',
    'in': 'dans',
    'verse': 'verset',
    'verses': 'versets',
    'A Chapter': 'Un chapitre',
    'Chapters': 'Chapitres',
    'Find verses containing': 'Cherhez un verset qui contient',
    'Restrict search to': 'Restreindre la rechrech à', 
    'Word Search': 'cherchez par mot',

    'Limit Search To': 'Limitez la Recherche à',
    'Limit search to': 'Limitez la recherche à', // Watch case!
    'Entire Bible': 'La bible entière',
    'Passage(s) listed below': 'Les passages ci-dessous',
    'Passage(s) listed above': 'Les passages ci-dessus',
    'Old Testament': 'Ancien Testament',
    'New Testament': 'Nouveau Testament',
    'Law': 'Loi',
    'History': 'Histoire',
    'Wisdom & Poetry': 'Sagesse & Poésie',
    'Prophets': 'Prophètes',
    'Major Prophets': 'Prophètes Majeurs',
    'Minor Prophets': 'Prophètes Mineurs',
    'Gospels': 'Évangiles',
    'Epistles': 'Épitres',
    'Pauline Epistles': 'Épitres de Paul',
    'General Epistles': 'Épitres',

    'Look up Passage(s)': 'Recherche de passages',
    'Enter passage(s)' : 'Entrez le(s) passage',
    'Enter word(s), phrase(s) or expression(s)' : 'Entrez mot(s), phrase(s) ou expression(s)',
    'Example': 'Exemple',

    'Search for' : 'Reherchez',
    'Match': 'Match',
    'All Words': 'Tout le mots',
    'Any Word': 'n\'importe quel mot',
    'Exact Phrase': 'Phrase exacte',
    'Only One Word': 'Juste un mote',
    'Two or More Words': '2 mots ou plus',
    'Words Within 5 Verses': 'Mots dans les 5 prochains versets',
    'Words Within Same Chapter': 'Mots dans le même chapitre',
    'Words Within Same Book': 'Mots dans le même livre',
    'Boolean Expression': 'Expression Boolean',
    'Regular Expression': 'Expression Régulière',
    'Select one ...' : 'Choisir une...',

    'Enter search keyword(s) or passage reference(s)': 'Entrez le(s) mot clefs ou passage(s) référence(s)',
    'Tip: Entering both a passage and a search query will result in the limitation of the search to the specified passage(s).': 'Indice: Entrant un passage et un requête de recherche conduira à une limitation de la recherche aux passages spécifiés',
    
    // Advanced Search
    'Boolean Search': 'Recherche Boolean',
    'Passage Retrieval': 'Récupérer un passage',
    'Find words within': 'Trouvez de mots à proximité',
    'Proximity Search': 'Recherche Proximité',
    'Power Search': 'Recherche avancée',

    '<b>All</b> of the words' : '<b>Tout</b> les mots',
    '<b>Any</b> of the words' : '<b>Un</b> des mots',
    '<b>Only one</b> of the words': '<b>Seulement un</b> des mots',
    '<b>None</b> of the words' : '<b>Aucun</b> des mots',
    'The <b>exact phrase</b>': '<b>Phrase exacte</b>',

    'Bible #': 'Bible #', // downloads

    // Pagination
    'Next Page' : 'Prochaine page',
    'Previous Page' : 'Page précédente',
    'First Page' : 'Première page',
    'Last Page': 'Dernière page',
    
    // Formatting and dialog buttons
    'A': 'A',     // First letter in given language
    'Abc': 'Abc',  // First 3 letters in given language, with 1st capitalized
    'Serif' : 'Serif',
    'Sans-Serif': 'Sans-Serif',
    'Monospace': 'Monospace',
    'Enlarge Text': 'Text Agrandi',
    'Default Text Size': 'Taille texte par défaut',
    'Shrink Text': 'Réduire la taille du texte',
    'Verse Display': 'Affichage du text',
    'Paragraph Display': 'Affichage du paragraph',
    'EZ Copy': 'Copie Facile',
    'Read Display': 'Lisez l\'affichage',
    'Italics': 'Italics',
    'Disable Italization of Added Words' : 'Désactiver italics des mots ajoutés',
    'Enable Italization of Added Words': 'Activer italics des mots ajoutés',
    'Disable Strong\'s Numbers': 'Désactiver les numéros Strong',
    'Enable Strong\'s Numbers': 'Activer les numéros Strong',
    'Red Letter': 'Lettre Rouge',
    'Disable Red Letter': 'Désactiver lettre rouge',
    'Enable Red Letter': 'Activer lettre rouge',
    'Print': 'Imprimer',
    'Printer Friendly': 'Compatible à l\'impression',
    'Help': 'Aide',
    'Basic': 'De base',
    'Advanced': 'Avancée',
    
    // Result and error messages
    
    // Your search produced (number of verses) results
    'Your search produced' : 'Votre requête a produuit',  
    // (total number of verses)
    'results' : 'résultats',
    
    // Showing results [1] to [30]
    'Showing Results': 'Affichage des résultats',
    'to' : 'à',
    
    // Your search produced no results in [name of Bible version]
    'Your search produced no results in': 'Votre requête n\'a produit aucun résultat dans', 
    
    'However, verses from this Bible have been included for comparison.': 'Cependant, versets de cette Bible sont inclus pour la comparaison.',
    
    // Operators such as [boolean operator] cannot be at the (beginning|end) of your search
    'Operators such as': 'Les opérateurs tel',
    'cannot be at the beginning of your search.': 'ne peuvent pas pas être aux débuts de votre requête',
    'cannot be at the end of your search.': 'ne peuvent pas pas être à la fin de votre requête',
    'Please remove it, or use it\'s lower case equivalent.': 'Merci de l\'enlevez ou utilisez l\'équivalent en miniscules.',

    // Your search for [attempted keywords] is invalid...
    'Your search for': 'Votre requête pour ',
    'is invalid, and appears to be a passage reference.': 'est invalide et ressemble à une référence de passage.',
    'is invalid.': 'est invalide.',

    // Your search was limited to [number of] verses
    'Your search was limited to': 'Votre requête était limité à',
    'Please refine your search if necessary': 'Merci de restreindre la recherche si nécessaire',

    'This Bible is in the Public Domain.': 'Cette Bible est en domaine publique',
    'This Bible is provided for research purposes only.': 'Cette Bible est fourni uniquement dans le cadre de la recherhe',
    'An unknown error has occurred.' : 'Erreur inconnue',
    'Error' : 'Erreur',
    'Success': 'Succès',
    'Cache not found': 'Cache non trouvé',
    'No query terms provided. Please specify search term(s) and/or passage reference(s).': 'Aucun terme de recherche fourni.  Merci de fournir les mots et/ou passage(s) de éférence.',
    'Your search produced no results.' : 'Votre requête n\'a produit aucun résultat',
    'Maximum hits has been reached for today for this domain / IP address': 'Le nombre maximum de hits est atteint aujourd\'hui pour ce domaine/affresse IP',
    'No Bibles are enabled. Please contact site adminstrator.': 'Aucun Biblie est activée.  Contactez l\'administrateur du site.',
    'Cannot retrieve multiple books at once.': 'Impossible de récupérer plusieurs livres en même temps',
    'Bible text not found': 'text de la Bible non trouvé',
    'Invalid book in book range': 'Livre invalid dans la plage de livres',
    'Book not found': 'Livre non trouvé',
    'Your parentheses are mismatched.': 'Les parenthèses sont incohérentes',
    'Your parentheses are mismatched, or you have a proximity operator inside of parentheses.': 'Les parenthèses sont incohérentes ou vous avez une opérateur de proximité à l\'intérieur des paranthèses',
    'Proximity operators such as PROX and CHAP can only be used with boolean searches' : 'Les opérateurs de proximité tels que PROX et CHAP ne peuvent être utilisés qu\'avec des recherches booléennes',
    'Note: PROX / CHAP operators cannot be enclosed within parentheses or brackets': 'Remarque: les opérateurs PROX / CHAP ne peuvent pas être placés entre parenthèses ou crochets',
    'Your access to this API has been revoked.  Please contact system administrator.': 'Votre accès à cette API a été révoqué. Veuillez contacter l\'administrateur système.',

    // Dialogs - general
    'Close': 'Fermez', 

    // Bible SOS dialog
    'Bible SOS': 'Bible SOS',
    'Emergency Help from the Bible': 'Aide d\'urgence de la Bible',
    'Where to go When ...': 'Où allez quand...',
    'Afraid': 'Peur',
    'Anxious': 'Anxieux',
    'Backsliding': 'Rétrogradation',
    'Bereaved': 'dépossédé',
    'Bitter or Critical': 'Amer ou critique',
    'Conscious of Sin': 'Conscient du péché',
    'Defeated': 'Vaincu',
    'Depressed': 'Déprimé', 
    'Disaster Threatens': 'Menaces de catastrophe',
    'Discouraged': 'Découragé',
    'Doubting': 'Dans le doute',
    'Facing a Crisis': 'En face d\'une crise',
    'Faith Fails': 'La foi échoue',
    'Friends Fail': 'Les amis échouent', 
    'Hopeless': 'Désespéré',
    'Leaving Home': 'Quitter la maison',
    'Lonely': 'Seul',
    'Needing God\'s protection': 'Besoin de la protection de Dieu',
    'Needing Guidance': 'Besoin de Cconseil',
    'Needing Peace': 'Besoin de paix',
    'Needing Rules for Living': 'Besoin de règles de la vie', 
    'Overcome': 'Surmonté',
    'Prayerful': 'En Prière',
    'Protected': 'Protégé',
    'Sick or in Pain': 'Douleur ou maladie',
    'Sorrowful': 'Tristesse',
    'Tempted': 'Dans la tentation', 
    'Thankful': 'Remerciant',
    'Traveling': 'Voyage',
    'Trouble, In': 'Problème dans',
    'Troubled': 'Troublé',
    'Weary': 'fatigué',
    'Worried': 'préoccupé',

    // Bible Start dialog
    'Start': 'Début',
    'Bible Start Guide': 'Guide de départ pour la Bible',
    'New to the Bible?': 'Nouveau à la bible?',
    'Not Sure Where to Begin?' : 'Vous ne savez pas où commencer?',
    'Life and Teachings of Jesus Christ': 'La vie et enseignements de Jésus Christ',
    'Basic Christian Beliefs': 'Croyances Chétiennes de base',
    'Creation and the Fall of Man': 'Création et la chute',
    'Birth of Christ / Life of Christ': 'Naissance de Jésus/Vie de Jésus',
    'Imperfection in Churches and Believers': 'Imperfection dans les églises et les croyants',
    'Early human history, especially that of Israel': 'L\'histoire humaine primitive, en particulier celle d\'Israël',
    'The relationship between the Old Testament Law and the Church': 'La relation entre la loi de l\'Ancien Testament et l\'Église',
    'History and Law': 'Histoire et la loi',
    'Salvation by faith, not works': 'Salut par la foi et non par les oeuvres',
    'Christian life and experience. &nbsp;The Apostle Paul gave up credentials under the OT Law to follow Christ': 'Vie chrétienne et expérience. & nbsp; L\'apôtre Paul a renoncé à ses lettres de créance en vertu de la loi de l\'Ancien Testament pour suivre le Christ',
    'Christ the suffering servant': 'Christ le serviteur souffrant',
    'Christ’s crucifixion foretold': 'La crucifixion du Christ annoncée',

    // Bible downloads dialog
    'Download': 'Téléchargement',
    'Bible Downloads': 'Téléchargements de Bible',
    'Select Bible(s)' : 'Choisir Bible(s)',
    'Select a Format': 'Choisir un format',
    'Rendering': 'Rendu',
    'Rendering Bibles, this may take some time': 'Traitement des bibles en cours, patientez...',
    'Rendering is Complete': 'Traitment complet',
    'Your download should begin shortly': 'Votre téléchargement devrait commencer sous peu',
    'If not, please click on the below link': 'Sinon, veuillez cliquer sur le lien ci-dessous',
    'Manual Download': 'Téléchargement Manuel',
    'Please select at least one Bible': 'SVP choisir au moin une Bible',
    'Please select a format': 'Choississez le format',
    'Are you sure you want to exit?  This will end the current download.': 'Êtes-vous sûr de vouloir quitter? Cela mettra fin au téléchargement en cours.',
    'Plain Text' : 'Texte brut',
    'Machine-readable Plain Text' : 'Texte brut lisible par machine',
    'Spreadsheet' : 'Tableau',
    'Databases': 'Base de Données',

    'PDF - Compact Text, Letter, Words of Christ in Red': 'PDF - Texte compact, lettre, paroles du Christ en rouge',
    'PDF - Compact Text, A4, Words of Christ in Red': 'PDF - Texte compact, A4, paroles du Christ en rouge',
    'PDF - Compact Text, Letter, Words of Christ Underlined': 'PDF - Texte compact, lettre, paroles du Christ soulignées',
    'PDF - Compact Text, A4, Words of Christ Underlined': 'PDF - Texte compact, A4, paroles du Christ soulignées',

    // Copy / Share dialog
    'Copy': 'Copier',
    'Copy Link': 'Copier le lien',
    'Copy with Text': 'Copier avec texte',
    'Share Link': 'Partager le lien',
    'Share' : 'Partager',

    // Quick Start Help Dialog
    'Quick Start Guide': 'Guide de démarrage rapide',
    'User\'s Manual': 'Guide d\'utilisateur',
    'Wildcard': 'Wildcard',
    'Basic Searches' : 'Recherche baasic',
    'Advanced Searches using Boolean': 'Recherches avancées avec Boolean',
    'Select' : 'Choisir',
    'Operators': 'Opérateurs',
    'Operator': 'Opérateur',
    'Aliases': 'Alias',
    'Description': 'Déscription',
    'Match both': 'Mathchez les deux',
    'Match either': 'Matchez un',
    'Match only one': 'Matchez seulement un',
    'Does not match': 'Ne Match pas',
    'Matches words in the same chapter': 'Matchez les mots dans le même chapitre',
    'Matches words in the same book': 'Matchez les mots dans le même livre',
    'Matches words in the same book, and within N verses of each other': 'Match les mots dans le même livre et à moins de N versets les uns des autres',
    'Matches words in the same chapter, and within N verses of each other': 'Match les mots dans le même chapitre et à moins de N versets les uns des autres',
    'For details, please see the User\'s Manual': 'Pour plus de détails, veuillez consulter le manuel de l\'utilisateur',
    'Special Proximity Operators': 'Opérateurs de proximité spéciaux',
    'Matches unlimited characters': 'Correspond à des caractères illimités',
    'searched for': 'recherché',

    // Keywords for sample searches
    'Jesus': 'Jésus',
    'Christ': 'Christ',
    'Lord': 'Seigneur',
    'faith': 'foi',
    'hope': 'espoir',
    'joy': 'joie',
    'preserved' : 'préservé',
    'preserve' : 'préserve',
    'stand' : 'position',
    'word': 'mot',
    'words': 'mots',
    'truth': 'vérité',
};
